<!DOCTYPE html>
<html lang="en">
<head>
<title>Voting System</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.3.0/js/bootstrap-datepicker.js"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.3.0/css/datepicker.css"/>
<script>
  function signOut() {
  var auth2 = gapi.auth2.getAuthInstance();
  auth2.signOut().then(function () {
    console.log('User signed out.');
  });
}
</script>
<style>
body {
    font: 20px Montserrat, sans-serif;
    line-height: 1.8;
    color: #f5f6f7;
}
p {font-size: 16px;}
.margin {margin-bottom: 45px;}
.navbar {
  padding-top: 15px;
  padding-bottom: 15px;
  border: 0;
  border-radius: 0;
  margin-bottom: 0;
  font-size: 12px;
  letter-spacing: 5px;
}
.navbar-nav  li a:hover {
  color: #1abc9c !important;
}
.center-div
{
  position: absolute;
  margin: auto;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 600px;
  height: 50px;
}
label {
    display: inline-block;
    max-width: 100%;
    margin-bottom: 5px;
    font-weight: 70;
    color:black;
}
.navbar-nav  li a:hover {
  color: #1abc9c !important;
}
</style>
</head>
<body style="background-color:powderblue;">
<nav class="navbar navbar-default">
    <div class="container">
        <div class="navbar-header">
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>                        
        </button>
        <a class="navbar-brand" >User</a>
        </div>
        <div class="collapse navbar-collapse" id="myNavbar">
        <ul class="nav navbar-nav navbar-right">
            
            {% if social == 'Yes'%}
            <li><a href="{{ url_for('logout') }}" onclick="signOut();">Signout</a></li>
            {% else %}
            <li><a href="{{ url_for('logout') }}">Logout</a></li>
            {% endif %}
        </ul>
        </div>
    </div>
</nav>
{% if show == 'show' %}
<div>
    <center><h3 style="font-size:20px; color:black;">Please Complete the Following Details to Proceed</h3></center>
</div>
<div class="container">
  <form method=POST action="{{ url_for('fillform') }}">
    <div class="form-group">
    <div class="col-md-4 mb-3">
        <label for="firstName">First name<sup>*</sup></label>
        <input type="text" class="form-control" id="firstName" placeholder="First name" name='firstname' required>
      </div>
    </div>
    <div class="form-group">
        <div class="col-md-4 mb-3">
            <label for="lastName">Last name<sup>*</sup></label>
            <input type="text" class="form-control" id="lastName" placeholder="Last name" name='lastname'  required>
        </div>
    </div>
    <div class="form-group">
        <div class="col-md-4 mb-3">
            <label for="dob">Date of Birth<sup>*</sup></label>
            <div class='input-group date' id='datetimepicker2'>
            <input type='text' id = "dob" name='dob' placeholder='DOB' class="form-control readonly" required/>
            <span class="input-group-addon">
                <span class="glyphicon glyphicon-calendar"></span>
            </span>
            </div>
        </div>
    </div>
    <br/><br/><br/><div class="form-group">
        <div class="col-md-12 mb-3">
        <label for="inputAddress">Address</label>
        <input type="text" class="form-control" name='address' id="inputAddress" placeholder="1234 Main St">
        </div>
      </div>
    <script type="text/javascript">
    $(document).ready(function() {
        $(function() {
            $('#datetimepicker2').datepicker({
                viewMode: 'years',
                endDate: '-18y'
            });
        });
    });
    $(".readonly").keydown(function(e){
        e.preventDefault();
    });
    </script>
    <center><br/><br/><button type="submit" class="btn btn-primary">Submit</button></center>
  </form>
</div>
{% else %}
<div class="center-div">
  <center><p style="font-size:25px; color:black;">You Have Already Submited form</p></center>
</div>
{% endif %}
</body>
</html>